package com.shixing.sxedit.delegate;


import com.shixing.sxedit.SXTrackAnimationEffect;

import java.util.List;

public interface SXTrackAnimationDelegate {

    /**
     * 添加轨道动画
     * 动画时间线不能重叠，入场/出场动画不能与循环动画共存，否则添加失败
     *
     * @param trackAnimationPath 轨道动画资源路径
     * @return 轨道动画对象，失败返回null
     */
    SXTrackAnimationEffect addTrackAnimation(String trackAnimationPath, double duration, int index);

    /**
     * 复制当前轨道动画, 并添加
     *
     * @param effect, 轨道动画
     * @return SXTrackAnimationEffect
     *
     * */
    SXTrackAnimationEffect addTrackAnimationByCopy(SXTrackAnimationEffect effect, int index);
    /**
     * 移除轨道动画
     *
     * @param trackAnimationId 轨道动画ID
     */
    boolean removeTrackAnimation(String trackAnimationId);

    /**
     * 获取轨道动画
     *
     * @param effectId
     * @return SXTrackAnimationEffect
     * */
    SXTrackAnimationEffect getTrackAnimation(String effectId);
    /**
     * 获取所有轨道动画
     *
     * @return 轨道动画List集合
     */
    List<SXTrackAnimationEffect> getTrackAnimations();

    /**
     * 获取轨道动画数
     *
     * @return int
     * */
    int getNumTrackAnimations();
}